{
	"parent":"farmersdelight:main/plant_rice",
	"display":{
		"icon":{
			"item":"farmersdelight:cabbage"
		},
		"title":{
			"translate":"farmersdelight.advancement.plant_all_crops"
		},
		"description":{
			"translate":"farmersdelight.advancement.plant_all_crops.desc"
		},
		"frame":"challenge",
		"show_toast":true,
		"announce_to_chat":true,
		"hidden":false
	},
	"rewards":{
		"experience":100
	},
	"criteria":{
		"cabbage":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"farmersdelight:cabbages"
				}]
			}
		},
		"glow_berries":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:cave_vines"
				}]
			}
		},
		"onion":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"farmersdelight:onions"
				}]
			}
		},
		"sweet_berries":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:sweet_berry_bush"
				}]
			}
		},
		"tomato":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"farmersdelight:budding_tomatoes"
				}]
			}
		},
		"kelp":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:kelp"
				}]
			}
		},
		"rice":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"farmersdelight:rice"
				}]
			}
		},
		"beetroot":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:beetroots"
				}]
			}
		},
		"brown_mushroom":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:brown_mushroom"
				}]
			}
		},
		"cocoa":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:cocoa"
				}]
			}
		},
		"chorus_flower":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:chorus_flower"
				}]
			}
		},
		"sugar_cane":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:sugar_cane"
				}]
			}
		},
		"potato":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:potatoes"
				}]
			}
		},
		"red_mushroom":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:red_mushroom"
				}]
			}
		},
		"nether_wart":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:nether_wart"
				}]
			}
		},
		"wheat":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:wheat"
				}]
			}
		},
		"melon":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:melon_stem"
				}]
			}
		},
		"pumpkin":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:pumpkin_stem"
				}]
			}
		},
		"carrot":{
			"trigger":"minecraft:placed_block",
			"conditions":{
				"location":[{
					"condition":"minecraft:block_state_property",
					"block":"minecraft:carrots"
				}]
			}
		}
	},
	"requirements":[
		[
			"wheat"
		],
		[
			"beetroot"
		],
		[
			"carrot"
		],
		[
			"potato"
		],
		[
			"cabbage"
		],
		[
			"tomato"
		],
		[
			"onion"
		],
		[
			"rice"
		],
		[
			"melon"
		],
		[
			"pumpkin"
		],
		[
			"sweet_berries"
		],
		[
			"sugar_cane"
		],
		[
			"kelp"
		],
		[
			"cocoa"
		],
		[
			"nether_wart"
		],
		[
			"chorus_flower"
		],
		[
			"brown_mushroom"
		],
		[
			"red_mushroom"
		],
		[
			"glow_berries"
		]
	],
	"sends_telemetry_event":true
}